<template>
  <div>
      <h2>Car Composition API</h2>
      <p>Brand: {{brand}}</p>
      <p>Modelo: {{model}}</p>
      <p>Color:
          <ul>
          <li v-for="(color, i) in colors" :key="i">
            {{i+1}} : {{color}}
          </li>
          </ul>
      </p>
      <p> Mensaje: {{mensaje.title}}</p>
      <p>Potencia: {{power}}</p>

      <!-- <p>Potencias</p>
      <ul>
          <template v-for="(power, index) in powers" :key="index">
            <li v-if="power < 280">Urbana: {{power}}</li>
            <li v-else-if="power === 280">Híbrido: {{power}}</li>
            <li v-else>Carrera: {{power}}</li>
          </template>
      </ul> -->

      <button @click="upPower(50)">Aumentar</button>
      <button @click="downPower(25)">Disminuir</button>

  </div>
</template>

<script>
import { ref } from "vue"
export default {
    setup() {
        const brand = "Audi"
        const model = "A4"
        const colors = ["Azul", "Morado", "Verde"]
        const powers = [60,80,120,160,200,280,320,400,450,500]
        const mensaje = {
            title: "Hola",
            text: "Texto del hola"
        }
        let power = ref(100)

        const upPower = (newPower) => {
            //console.log("Aumentando potencia...")
            //power++
            power.value = power.value + newPower
            //console.log(power.value);
        }
        const downPower = (newPower) => {
            //console.log("Bajando potencia...");
            power.value = power.value - newPower
        }

        return {
            brand,
            model,
            colors,
            mensaje,
            power,
            upPower,
            downPower
        }
    }    
}
</script>

<style>

</style>